NTSystem (Java SE 9 & JDK 9 )
Keywords: com.sun.security.auth.module.NTSystem class

Module jdk.security.auth
Package com.sun.security.auth.module

## Class NTSystem

- java.lang.Object
- - com.sun.security.auth.module.NTSystem

-     public class NTSystem
      extends Object

  This class implementation retrieves and makes available NT security information for the current user.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NTSystem​()` | Instantiate an `NTSystem` and load the native library to access the underlying system information.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDomain​()` | Get the domain for the current NT user.
    `String` | `getDomainSID​()` | Get a printable SID for the current NT user's domain.
    `String[]` | `getGroupIDs​()` | Get the printable group SIDs for the current NT user.
    `long` | `getImpersonationToken​()` | Get an impersonation token for the current NT user.
    `String` | `getName​()` | Get the username for the current NT user.
    `String` | `getPrimaryGroupID​()` | Get a printable primary group SID for the current NT user.
    `String` | `getUserSID​()` | Get a printable SID for the current NT user.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NTSystem

          public NTSystem​()

      Instantiate an `NTSystem` and load the native library to access the underlying system information.

  - ### Method Detail

    - #### getName

          public String getName​()

      Get the username for the current NT user.
      Returns:
        the username for the current NT user.

    - #### getDomain

          public String getDomain​()

      Get the domain for the current NT user.
      Returns:
        the domain for the current NT user.

    - #### getDomainSID

          public String getDomainSID​()

      Get a printable SID for the current NT user's domain.
      Returns:
        a printable SID for the current NT user's domain.

    - #### getUserSID

          public String getUserSID​()

      Get a printable SID for the current NT user.
      Returns:
        a printable SID for the current NT user.

    - #### getPrimaryGroupID

          public String getPrimaryGroupID​()

      Get a printable primary group SID for the current NT user.
      Returns:
        the primary group SID for the current NT user.

    - #### getGroupIDs

          public String[] getGroupIDs​()

      Get the printable group SIDs for the current NT user.
      Returns:
        the group SIDs for the current NT user.

    - #### getImpersonationToken

          public long getImpersonationToken​()

      Get an impersonation token for the current NT user.
      Returns:
        an impersonation token for the current NT user.